#ifndef __CONFIG_H__
#define __CONFIG_H__

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <fcntl.h>

#define IMG_FTP_MONITOR "up.bmp"

#define DELAY 1000 	/* (500 ms) max value is 25 ms      		*/
#define FTP_RATE 15	/* (10*500ms) tempo salvataggio FTP 10s       	*/

struct config_t {
	char	enable_ftp[128];
	char	enable_ftp_monitor[128];
	char	host[129];
	char	user[128];
	char	password[128];
	char	mode ;
	char	local_file[128];
	char	remote_file[128];
	char	remote_tmp_file[128];
	char    dev[128];
	int	ftp_rate;
	int	x,y,bpp;
};


/* read the configuration file */
struct config_t* load_conf_from_file( const char* file );

#endif
